Refresh access token
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/admin/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refresh_token": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({refresh_token: '<string>'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/admin/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/admin/refresh"
payload = { "refresh_token": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"expires_at": 123,
"refresh_expires_at": 123,
"refresh_token": "<string>",
"success": true,
"token": "<string>",
"user": {
"account_id": "<string>",
"agent_id": "<string>",
"created_at": "<string>",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"last_login_at": "<string>",
"last_name": "<string>",
"name": "<string>",
"pep_access_authorized": true,
"phone_number": "<string>",
"role": "<string>",
"status": "<string>",
"user_type": "<string>"
}
}{}{}{}Admin
Refresh access token
Issues a new access token using a valid refresh token
POST
/
admin
/
refresh
Refresh access token
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/admin/refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refresh_token": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({refresh_token: '<string>'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/admin/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/admin/refresh"
payload = { "refresh_token": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"expires_at": 123,
"refresh_expires_at": 123,
"refresh_token": "<string>",
"success": true,
"token": "<string>",
"user": {
"account_id": "<string>",
"agent_id": "<string>",
"created_at": "<string>",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"last_login_at": "<string>",
"last_name": "<string>",
"name": "<string>",
"pep_access_authorized": true,
"phone_number": "<string>",
"role": "<string>",
"status": "<string>",
"user_type": "<string>"
}
}{}{}{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Refresh token
⌘I